#
# Job options file
#
#==============================================================

#--------------------------------------------------------------
# ATLAS default Application Configuration options
#--------------------------------------------------------------

#theApp.setup( MONTECARLO )

# Setup for reading AODs
include( "AthenaPoolCnvSvc/ReadAthenaPool_jobOptions.py" )
#include( "GeneratorObjectsAthenaPool/GeneratorObjectsAthenaPool_joboptions.py")

## Initialize event selector
EventSelector = Service( "EventSelector" )
EventSelector.CollectionType = "SeekableROOT"
include ("AthenaServices/PyAthenaEventLoopMgr.py")

# Input file list
EventSelector.InputCollections = ["AOD.pool.root"]

#--------------------------------------------------------------
# Configure interactive session (needed to load HepMC)
#--------------------------------------------------------------

# initialize AnalysisCore
include ("PyAnalysisCore/InitPyAnalysisCore.py")

#--------------------------------------------------------------
# Private Application Configuration options
#--------------------------------------------------------------

#load relevant libraries
import HepMCBrowser.HepMCLoadLibs

#Load browser gui
import HepMCBrowser.HepMCBrowserFrame
from HepMCBrowser.HepMCBrowserFrame import HepMCBrowserFrame

#top algorithms to be run
HepMCBrowser = HepMCBrowserFrame( "HepMCBrowser" )
from HepMCBrowser.HepMCBrowserFrame import HepMCBrowserAlg
theApp.TopAlg = [ "HepMCBrowser" ]

#--------------------------------------------------------------
# Set output level threshold (DEBUG, INFO, WARNING, ERROR, FATAL)
#--------------------------------------------------------------

MessageSvc.OutputLevel = WARNING

#--------------------------------------------------------------
# Event related parameters
#--------------------------------------------------------------

# Number of events to be processed (default is 10)
theApp.EvtMax = 1

#--------------------------------------------------------------
# Initialize application right away
#--------------------------------------------------------------

theApp.initialize();

#==============================================================
#
# End of job options file
#
###############################################################
 
